Skip to main content
GET
List scraps

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Query Parameters

include
string

Comma-separated list of relationships to include.

Available options: product, uom, lot, package, partner, operation, sourceLocation, destinationLocation, company, creator, tags, moves, moveLines

Example:

"product,sourceLocation"

filter[id]
string

Comma-separated list of IDs to filter by

Example:

"architecto"

filter[name]
string

Filter by scrap name

Example:

"SP/1"

filter[state]
string

Filter by scrap state

Example:

"draft"

filter[product_id]
string

Filter by product IDs

Example:

"architecto"

filter[source_location_id]
string

Filter by source location IDs

Example:

"architecto"

filter[destination_location_id]
string

Filter by destination location IDs

Example:

"architecto"

sort
string

Sort field

Example:

"-created_at"

Response

Success